%global momorel 1
%global unstable 0
%if 0%{unstable}
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.14.3
%global kdelibsrel 1m
%global qtver 4.8.5
%global qtrel 1m
%global cmakever 2.8.5
%global cmakerel 2m
%global ftpdirver 4.14.3
%global sourcedir %{release_dir}/%{ftpdirver}/src
%global akonadiver 1.12.1
%global qimageblitzver 0.0.6
%global sopranover 2.9.4
%global qscintillaver 2.8
%global phononver 4.7.1

Name: kimono
Summary: C# Mono KDE 4 bindings
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: Development/Languages
License: LGPLv2
URL: http://www.kde.org
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.xz
NoSource :0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: qyoto-devel >= %{version}
BuildRequires: mono-core >= 2.10.9
BuildRequires: mono-devel >= 2.10.9
BuildRequires: smokegen-devel >= %{version}
BuildRequires: smokeqt-devel >= %{version}
BuildRequires: smokekde-devel >= %{version}
Requires: qyoto >= %{version}
Conflicts: kdebindings < 4.7.0

%description
C# Mono KDE 4 bindings.

%package akonadi
Summary: Akonadi runtime support for %{name}
Requires: %{name} = %{version}-%{release}
Requires: smokekde-akonadi >= %{version}

%description akonadi
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/lib/mono/qyoto/kde-dotnet.dll
%{_prefix}/lib/mono/qyoto/khtml-dll.dll
%{_prefix}/lib/mono/qyoto/soprano.dll
%{_prefix}/lib/mono/qyoto/ktexteditor-dotnet.dll
%{_prefix}/lib/mono/qyoto/plasma-dll.dll
%{_prefix}/lib/mono/qyoto/nepomuk-dll.dll
#{_prefix}/lib/mono/qyoto/qimageblitz.dll
%{_prefix}/lib/mono/gac/kde-dotnet
%{_prefix}/lib/mono/gac/khtml-dll
%{_prefix}/lib/mono/gac/soprano
%{_prefix}/lib/mono/gac/ktexteditor-dotnet
%{_prefix}/lib/mono/gac/plasma-dll
%{_prefix}/lib/mono/gac/nepomuk-dll
#{_prefix}/lib/mono/gac/qimageblitz
%{_kde4_libdir}/kde4/kimonopluginfactory.so
%{_kde4_libdir}/libkhtml-sharp.so
%{_kde4_libdir}/libnepomuk-sharp.so
%{_kde4_libdir}/libsoprano-sharp.so
%{_kde4_libdir}/libkimono.so
%{_kde4_libdir}/libktexteditor-sharp.so
%{_kde4_libdir}/libplasma-sharp.so
#{_kde4_libdir}/libqimageblitz-sharp.so
%{_kde4_appsdir}/plasma_scriptengine_kimono
%{_kde4_datadir}/kde4/services/plasma-scriptengine-kimono-applet.desktop
%{_kde4_datadir}/kde4/services/plasma-scriptengine-kimono-dataengine.desktop

%files akonadi
%{_kde4_libdir}/libakonadi-sharp.so
%{_prefix}/lib/mono/qyoto/akonadi.dll
%{_prefix}/lib/mono//gac/akonadi

%changelog
* Wed Dec 31 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.3-1m)
- update to KDE 4.14.3

* Wed Oct 22 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.2-1m)
- update to KDE 4.14.2

* Thu Sep 18 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.1-1m)
- update to KDE 4.14.1

* Tue Sep  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.0-1m)
- update to KDE 4.14.0

* Sat Aug  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.97-1m)
- update to KDE 4.14 RC1 (4.13.97)

* Sat Jul 26 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.95-1m)
- update to KDE 4.14 beta 3 (4.13.95)

* Sat Jul 26 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.95-1m)
- update to KDE 4.14 beta 3 (4.13.95)

* Mon Jul 21 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.90-1m)
- update to KDE 4.14 beta 2 (4.13.90)

* Fri Jul 18 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.3-1m)
- update to KDE 4.13.3

* Mon Jun 30 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.2-1m)
- update to KDE 4.13.2

* Tue May 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.1-1m)
- update to KDE 4.13.1

* Sat Apr 19 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.0-1m)
- update to KDE 4.13.0

* Sun Mar 30 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.97-1m)
- update to KDE 4.13 RC

* Sat Mar  8 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.3-1m)
- update to KDE 4.12.3

* Wed Feb  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.2-1m)
- update to KDE 4.12.2

* Mon Jan 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.1-1m)
- update to KDE 4.12.1

* Wed Jan  1 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.0-1m)
- update to KDE 4.12.0

* Sun Dec  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.4-1m)
- update to KDE 4.11.4

* Fri Nov  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.3-1m)
- update to KDE 4.11.3

* Sat Oct  5 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.2-1m)
- update to KDE 4.11.2

* Fri Sep  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.1-1m)
- update to KDE 4.11.1

* Wed Aug 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.0-1m)
- update to KDE 4.11.0

* Sun Jul 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.95-1m)
- update to KDE 4.11 rc1 (4.10.95)

* Tue Jul  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.90-1m)
- update to KDE 4.11 beta2 (4.10.90)

* Fri Jun  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.4-1m)
- update to KDE 4.10.4

* Wed May  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.3-1m)
- update to KDE 4.10.3

* Thu Apr  4 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.2-1m)
- update to KDE 4.10.2

* Thu Mar  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.1-1m)
- update to KDE 4.10.1

* Sat Feb  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.0-1m)
- update to KDE 4.10.0

* Sun Jan 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.98-1m)
- update to KDE 4.10 RC3 (4.9.98)

* Sat Jan  5 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.97-1m)
- update to KDE 4.10 RC2 (4.9.97)

* Thu Dec 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.95-1m)
- update to KDE 4.10 RC1 (4.9.95)

* Sun Dec  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.90-1m)
- update to KDE 4.10 beta2 (4.9.90)

* Wed Nov  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.3-1m)
- update to KDE 4.9.3

* Wed Oct  3 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.2-1m)
- update to KDE 4.9.2

* Sat Sep  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.1-1m)
- update to KDE 4.9.1

* Thu Aug  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.0-1m)
- update to KDE 4.9.0

* Fri Jul 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.97-1m)
- update to KDE 4.9 RC2

* Fri Jul 13 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.8.4-2m)
- rebuild for mono-2.10.9

* Sat Jun  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.4-1m)
- update to KDE 4.8.4

* Fri May  4 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.3-1m)
- update to KDE 4.8.3

* Sat Apr  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.2-1m)
- update to KDE 4.8.2

* Sat Mar 24 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.1-2m)
- separate akonadi subpackage

* Thu Mar  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.1-1m)
- update to KDE 4.8.1

* Fri Jan 27 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.0-1m)
- update to KDE 4.8.0

* Fri Jan  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.97-1m)
- update to KDE 4.8 RC2 (4.7.97)

* Fri Dec 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.95-1m)
- update to KDE 4.8 RC1 (4.7.95)

* Sat Dec 10 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.90-1m)
- update to KDE 4.8 beta2 (4.7.90)

* Fri Nov  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.3-1m)
- update to KDE 4.7.3

* Thu Oct  6 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.2-1m)
- update to KDE 4.7.2

* Fri Sep  9 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.1-1m)
- update to KDE 4.7.1

* Sun Jul 31 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.0-1m)
- initial build for Momonga Linux
